# first build dependencies
add_subdirectory(deps)

# build internal core
add_subdirectory(core)
# add_subdirectory(scene)
# add_subdirectory(system)
# add_subdirectory(io)

#add_subdirectory(ui)
# add_subdirectory(binding)
# add_subdirectory(visual)
# add_subdirectory(geometry)

# add_subdirectory(runtime)
